package org.apache.bcel.classfile;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.ElementValue;

public class ClassElementValue extends ElementValue {
  private final int idx;
  
  public ClassElementValue(int type, int idx, ConstantPool cpool) {
    super(type, cpool);
    this.idx = idx;
  }
  
  public void dump(DataOutputStream dos) throws IOException {
    dos.writeByte(getType());
    dos.writeShort(this.idx);
  }
  
  public String getClassString() {
    return getConstantPool().getConstantUtf8(this.idx).getBytes();
  }
  
  public int getIndex() {
    return this.idx;
  }
  
  public String stringifyValue() {
    return getConstantPool().getConstantUtf8(this.idx).getBytes();
  }
}
